E-MailRelay

Public Member Functions | List of all members
GSmtp::FileReader Class Reference

Used by GSmtp::FileStore, GSmtp::NewFile and GSmtp::StoredFile to claim read permissions for reading a file. More...

`#include <gfilestore.h>`

Inheritance diagram for GSmtp::FileReader:

## Public Member Functions
| FileReader ()
| Default constructor. More...
| ~FileReader ()
| Destructor. Switches identity back.
| FileReader (const FileReader &)=delete
| FileReader (FileReader &&)=delete
void | operator= (const FileReader &)=delete
void | operator= (FileReader &&)=delete

## Detailed Description

Used by GSmtp::FileStore, GSmtp::NewFile and GSmtp::StoredFile to claim read permissions for reading a file.

See also
  G::Root

Definition at line 156 of file gfilestore.h.

## Constructor & Destructor Documentation

## ◆ FileReader()

GSmtp::FileReader::FileReader | ( |  | ) |
| default

Default constructor.

Switches identity for reading a file.

The documentation for this class was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gsmtp/gfilestore.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gsmtp/gfilestore.cpp